"""konficastle URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include
from django.contrib.auth import views as auth_views
from sentry_sdk import capture_exception
import kcevent.views as kcEventViews

def trigger_error(request):
    division_by_zero = 1 / 0

def send_test_mail(request):
    from django.http import HttpResponse
    from django.core import mail
    mail.send_mail(
        'Example subject here',
        'Here is the message body (test CVJM django mail).',
        'noreply@konficastle.org',
        ['mono@lschreiner.de']
    )
    return HttpResponse(status=201)

urlpatterns = [
    path('admin/', admin.site.urls),
    path('accounts/login/', auth_views.LoginView.as_view(), name='login'),
    path('sentry-debug/', trigger_error),
    #path('test-mail/', send_test_mail),
    path('', include('kcevent.urls'))
]

handler400 = kcEventViews.responseError400
handler403 = kcEventViews.responseError403
handler404 = kcEventViews.responseError404
handler500 = kcEventViews.responseError500

